Bug 1217328 - autofs provider fails when default_domain_suffix and use_fully_qualified_names set
Summary: autofs provider fails when default_domain_suffix and use_fully_qualified_name...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.7
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On: 1216285
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-30 06:50 UTC by Jakub Hrozek
Modified: 2020-05-04 10:48 UTC (History)
13 users (show)

Fixed In Version: sssd-1.12.4-38.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of: 1216285
Environment:
Last Closed: 2015-07-22 06:44:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3684 None None None 2020-05-04 10:47:59 UTC
Red Hat Product Errata RHBA-2015:1448 normal SHIPPED_LIVE sssd bug fix and enhancement update 2015-07-20 18:43:53 UTC

Comment 3 Jakub Hrozek 2015-04-30 15:55:29 UTC
Fixed upstream:
    sssd-1-12: 8f57c6765b10de36582ef1dbee32d75452451a94
    master: 4df706219e64527209f12ad0c7814ee1be979c07

Comment 5 Xiyang Dong 2015-06-12 13:16:58 UTC
Verified on sssd-1.12.4-45.el6:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-client-automount-bugzilla-002: bz1217328   autofs provider fails when default_domain_suffix and use_fully_qualified_names set
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

clean up ipa-client-automount success
:: [  BEGIN   ] :: Setting default_domain_suffix :: actually running 'sed -i  '/\[sssd\]/a\default_domain_suffix = testrelm.test' /etc/sssd/sssd.conf'
:: [   PASS   ] :: Setting default_domain_suffix (Expected 0, got 0)
:: [  BEGIN   ] :: Setting use_fully_qualified_names :: actually running 'sed -i  '/default_domain_suffix = testrelm.test/a\use_fully_qualified_names = true' /etc/sssd/sssd.conf'
:: [   PASS   ] :: Setting use_fully_qualified_names (Expected 0, got 0)
:: [  BEGIN   ] :: Checking sssd.conf is configured as expected :: actually running 'grep -e fully -e default /etc/sssd/sssd.conf'
default_domain_suffix = testrelm.test
use_fully_qualified_names = true
:: [   PASS   ] :: Checking sssd.conf is configured as expected (Expected 0, got 0)
:: [  BEGIN   ] :: Running 'service sssd restart; sss_cache -E; service autofs restart'
Stopping sssd: [  OK  ]
Starting sssd: [  OK  ]
Stopping automount: [  OK  ]
Starting automount: [  OK  ]
:: [   PASS   ] :: Command 'service sssd restart; sss_cache -E; service autofs restart' (Expected 0, got 0)
:: [  BEGIN   ] :: Client automount should success :: actually running 'ipa-client-automount --server=cloud-qe-2.testrelm.test --location=Location__A -U'
IPA server: cloud-qe-2.testrelm.test
Location: Location__A
Configured /etc/nsswitch.conf
Configured /etc/sysconfig/nfs
Configured /etc/idmapd.conf
Started rpcidmapd
Started rpcgssd
Restarting sssd, waiting for it to become available.
Unable to find 'admin' user with 'getent passwd admin'!
This may mean that sssd didn't re-start properly after the configuration changes.
Started autofs
:: [   PASS   ] :: Client automount should success (Expected 0, got 0)
:: [  BEGIN   ] :: Accessing map :: actually running 'automount -m > /tmp/bz1217328.txt 2>&1'
:: [   PASS   ] :: Accessing map (Expected 0, got 0)
:: [   PASS   ] :: File '/tmp/bz1217328.txt' should contain '/ipashare/public' 
:: [   PASS   ] :: File '/tmp/bz1217328.txt' should not contain 'setautomntent: Cannot allocate memory' 
:: [   PASS   ] :: File '/tmp/bz1217328.txt' should not contain 'no master map entries found' 

MARK-LWD-LOOP -- 2015-06-11 17:05:38 --
clean up ipa-client-automount success
Stopping sssd: [  OK  ]
Starting sssd: [  OK  ]
'a9116d78-6cd4-4903-bccf-633642696730'
ipa-client-automount-bugzilla-002-bz1217328-autofs-provider-fails-when-default-domain-suffix-and-use-fully-qualified-names-set result: PASS
   metric: 0
   Log: /var/tmp/beakerlib-31297136/journal.txt
   DMesg: /mnt/testarea/dmesg.log
    Info: Searching AVC errors produced since 1434056697.92 (Thu Jun 11 17:04:57 2015)
     Searching logs...
     Info: No AVC messages found.

Comment 7 errata-xmlrpc 2015-07-22 06:44:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1448.html


Note You need to log in before you can comment on or make changes to this bug.